'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * The default Slate schema rules, which enforce the most basic constraints.
 *
 * @type {Array}
 */

var RULES = [{
  match: { kind: 'document' },
  nodes: {
    anyOf: [{ kind: 'block' }]
  },
  transform: function transform(_transform, node) {
    return node.filterChildren(function (child) {
      return child.kind != 'block';
    }).reduce(function (tr, child) {
      return tr.removeNodeByKey(child.key);
    }, _transform);
  }
}];

/**
 * Export.
 *
 * @type {Array}
 */

exports.default = RULES;